using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NADOVEZIVANJE
{
    class Program
    {
        static void Main()
        {
            string a, b, c, k1, k2, k3, k4, k5, k6;
            int b1, b2, b3, b4, b5, b6, max = 0;
            string[] t = Console.ReadLine().Split();
            a = t[0];
            b = t[1];
            c = t[2];
            k1 = a + b + c;
            k2 = a + c + b;
            k3 = b + a + c;
            k4 = b + c + a;
            k5 = c + a + b;
            k6 = c + b + a;
            b1 = int.Parse(k1);
            b2 = int.Parse(k2);
            b3 = int.Parse(k3);
            b4 = int.Parse(k4);
            b5 = int.Parse(k5);
            b6 = int.Parse(k6);
            if (b1 > max) max = b1;
            if (b2 > max) max = b2;
            if (b3 > max) max = b3;
            if (b4 > max) max = b4;
            if (b5 > max) max = b5;
            if (b6 > max) max = b6;
            Console.WriteLine(max);
        }
    }
}